import Vue from 'vue'
// normalize css初始化
import 'normalize.css/normalize.css'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
// 全局 css
import '@/styles/index.scss'

import App from '@/App'
import store from '@/store'
import router from '@/router'

Vue.use(ElementUI)

Vue.config.productionTip = false // 阻止 vue 在启动时生成生产提示

Vue.config.errorHandler = function(err, vm, info, a) {
  Vue.nextTick(() => {
    store.dispatch('AddErrorLog', { err, vm, info, url: window.location.href })
    console.error(err, info)
  })
}

new Vue({
  store,
  router,
  el: '#app',
  template: '<App/>',
  components: { App }
})
// 防破解
process.env.NODE_ENV === 'production' && setInterval(new Function('debugger'), 0)
