import Vue from 'vue'
import Router from 'vue-router'
const CONFIG = window.CONFIG
const _import = require('./_import_' + ((process.env.NODE_ENV === 'development' || !process.env.NODE_ENV) ? 'require' : 'import'))

Vue.use(Router)

export const routes = [
  {
    path: '',
    name: 'home',
    component: _import('home/index')
  },
  {
    path: '/',
    name: 'layout',
    redirect: '/404',
    component: _import('layout/index'),
    children: [
      {
        path: `${CONFIG.TABLE_PATH || 'table'}/:moduleCode`,
        name: CONFIG.TABLE_PATH || 'table',
        component: _import('report/table')
      },
      {
        path: `${CONFIG.CHART_PATH || 'chart'}/:moduleCode`,
        name: CONFIG.CHART_PATH || 'chart',
        component: _import('report/chart')
      },
      {
        path: `${CONFIG.DEFINE_PATH || 'define'}`,
        name: CONFIG.DEFINE_PATH || 'table',
        component: _import('define/index')
      },
      {
        path: 'icon',
        name: 'icon',
        component: _import('icon/index')
      }
    ]
  },
  {
    path: '/404',
    component: _import('errorPage/404')
  },
  {
    path: '/401',
    component: _import('errorPage/401')
  },
  { path: '*', redirect: '/404' }
]

const router = new Router({
  // mode: 'history', // 后端支持可开
  // scrollBehavior: () => ({ y: 0 }), // 切换页面时 Y回到0
  routes
})

export default router
